// This is shared by other modules.
export default function babelDefaults() {
  const transformAsyncToModuleMethod = require('babel-plugin-transform-async-to-module-method')
  const asyncPlugin =
    [transformAsyncToModuleMethod, {
      module: 'bluebird',
      method: 'coroutine',
    }]
  const addModuleExports = require('babel-plugin-add-module-exports')
  const transformRuntime = require('babel-plugin-transform-runtime')
  const externalHelpers = require('babel-plugin-external-helpers-2')
  const transformDecoratorsLegacy = require('babel-plugin-transform-decorators-legacy').default
  const babelDefaults = {
    plugins: [externalHelpers, asyncPlugin, transformRuntime, addModuleExports, transformDecoratorsLegacy],
    presets: ['es2015', 'react', 'stage-0']
  }
  return babelDefaults
}
